Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.core.terminal
Class Slot

    java.lang.Object
      opencard.core.terminal.Slot

Deprecated. use slot number instead

    public final class Slot

extends java.lang.Object

A `Slot` object represents an individual slot of a card terminal.

Version:
  $Id: Slot.java,v 1.3 1999/11/03 12:37:17 damke Exp $
Author:
  Peter Trommler (trp@zurich.ibm.com), Stephan Breideneich (sbreiden@de.ibm.com)
See Also:
  `CardTerminal`

Field Summary
`protected int` | `slotID` Deprecated. The slot identifier.
`protected CardTerminal` | `terminal` Deprecated. The "owning" `CardTerminal`.

Constructor Summary
`Slot(CardTerminal terminal, int slotID)` Deprecated. Instantiate a `Slot` object belonging to the `CardTerminal` object `terminal`.

Method Summary
`CardID` | `getCardID()` Deprecated. Return the `CardID` object of the presently inserted smart card.
`CardID` | `getCardID(int timeout)` Deprecated.
`CardTerminal` | `getCardTerminal()` Deprecated. Return a reference to the "owning" `CardTerminal` object.
`int` | `getSlotID()` Deprecated. Return the Slot number.
`boolean` | `isCardPresent()` Deprecated. Check whether there is a smart card present.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### terminal

    protected CardTerminal terminal

  Deprecated.
  The "owning" `CardTerminal`.

### slotID

    protected int slotID

  Deprecated.
  The slot identifier.

Constructor Detail

### Slot

    public Slot(CardTerminal terminal,
                int slotID)

  Deprecated.
  Instantiate a `Slot` object belonging to the `CardTerminal` object `terminal`.

  Parameters:
    `terminal` - The card terminal to which this `Slot` belongs to
    `slotID` - Slot number (0 = first slotID)

Method Detail

### isCardPresent

    public boolean isCardPresent()
                          throws CardTerminalException

  Deprecated.
  Check whether there is a smart card present.

  Returns:
    True if there is a smart card inserted in the slot.
  Throws:
    `CardTerminalException` - Thrown when terminal.isCardPresent failed.

### getCardID

    public CardID getCardID(int timeout)
                     throws CardTerminalException

  Deprecated.

  Throws:
    `CardTerminalException`

### getCardID

    public CardID getCardID()
                     throws CardTerminalException

  Deprecated.
  Return the `CardID` object of the presently inserted smart card. In the case this slot is in use already (i.e., there is already a `CardService` attached to this slot), this method returns a cached `CardID` immediately.

  Returns:
    The `CardID` object for the currently inserted smart card.
  Throws:
    `CardTerminalException` - Thrown when problems in the card terminal occur.

### getCardTerminal

    public CardTerminal getCardTerminal()

  Deprecated.
  Return a reference to the "owning" `CardTerminal` object.

  Returns:
    The reference to the owning `CardTerminal` object.

### getSlotID

    public int getSlotID()

  Deprecated.
  Return the Slot number.

  Returns:
    the slot number.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD